import { Injectable } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { IDefaultParams } from '../../domain/interfaces/default-params.interface';

@Injectable()
export class DefaultParamsProvider {
  constructor(private readonly configService: ConfigService) {}

  getParams(): IDefaultParams {
    return {
      DEFAULT_IDENTIFIER: this.configService.get<number>('DEFAULT_IDENTIFIER'),
      MARGIN_DURATION: this.configService.get<number>('MARGIN_DURATION'),
      VALIDITY_DURATION: this.configService.get<number>('VALIDITY_DURATION'),
    };
  }
}
